"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _lugiad = _interopRequireDefault(require("@lugia/lugia-web/dist/lugiad"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _consts2 = _interopRequireDefault(require("@lugia/lugia-web/dist/consts"));

var _steps = _interopRequireDefault(require("@lugia/lugia-web/dist/steps"));

var _react = _interopRequireWildcard(require("react"));

var _themeHoc = _interopRequireDefault(require("@lugia/theme-hoc"));

var _typeUtils = require("@ysstech-data/type-utils");

var _dataWebBussiness = require("@ysstech-data/data-web-bussiness");

var _style = require("./style");

var _temp;

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var Step = _steps["default"].Step;
var theme = (0, _defineProperty2["default"])({}, _consts2["default"].Lugiad, {
  Container: {
    normal: {
      width: "100%",
      height: "100%"
    }
  }
});

var _default = (0, _themeHoc["default"])((_temp = /*#__PURE__*/function (_Component) {
  (0, _inherits2["default"])(DWSteps, _Component);

  var _super = _createSuper(DWSteps);

  function DWSteps(props) {
    var _this;

    (0, _classCallCheck2["default"])(this, DWSteps);
    _this = _super.call(this, props);

    _this.onClick = function (_ref) {
      var eventsName = _ref.eventsName;
      var onClick = _this.props.onClick;
      onClick && onClick({
        eventsName: eventsName
      });
    };

    _this.btnsFilter = function () {
      var _this$state = _this.state,
          btns = _this$state.btns,
          current = _this$state.current,
          data = _this$state.data,
          stepSave = _this$state.stepSave;
      var btnsFilterData = (0, _defineProperty2["default"])({
        0: ["save", "pre"]
      }, data.length - 1, ["next"]);
      return btnsFilterData[current] ? btns.filter(function (_ref2) {
        var eventsName = _ref2.eventsName;
        return btnsFilterData[current].indexOf(eventsName) < 0 || stepSave && eventsName === "save";
      }) : btns;
    };

    _this.state = {
      data: [],
      current: 0,
      pages: {},
      btns: [{
        title: "保存",
        eventsName: "save"
      }, {
        title: "取消",
        eventsName: "cancel"
      }, {
        title: "上一步",
        eventsName: "pre"
      }, {
        title: "下一步",
        eventsName: "next",
        type: "primary"
      }],
      stepSave: false
    };
    return _this;
  }

  (0, _createClass2["default"])(DWSteps, [{
    key: "render",
    value: function render() {
      var ContainerTheme = this.props.getPartOfThemeProps("Container");
      var _this$state2 = this.state,
          data = _this$state2.data,
          current = _this$state2.current;

      var _ref3 = data[current] || {},
          _ref3$content = _ref3.content,
          content = _ref3$content === void 0 ? null : _ref3$content;

      return /*#__PURE__*/_react["default"].createElement(_style.Container, {
        themeProps: ContainerTheme
      }, /*#__PURE__*/_react["default"].createElement(_style.StepsWraper, null, /*#__PURE__*/_react["default"].createElement(_steps["default"], {
        stepType: "flat"
      }, data.map(function (_ref4, index) {
        var title = _ref4.title,
            description = _ref4.description;
        var stepStatus = "";
        console.log(index, current, stepStatus, "stepStatus");

        if (index > current) {
          stepStatus = "next";
        } else if (index == current) {
          stepStatus = "process";
        } else {
          stepStatus = "finish";
        }

        return /*#__PURE__*/_react["default"].createElement(Step, {
          title: title,
          description: description,
          stepStatus: stepStatus
        });
      }))), /*#__PURE__*/_react["default"].createElement(_style.ContentWraper, null, content ? /*#__PURE__*/_react["default"].createElement(_lugiad["default"], {
        theme: theme,
        content: content
      }) : null), /*#__PURE__*/_react["default"].createElement(_style.BtnsWraper, null, /*#__PURE__*/_react["default"].createElement(_dataWebBussiness.Buttons, {
        right: this.btnsFilter(),
        onClick: this.onClick
      })));
    }
  }], [{
    key: "getDerivedStateFromProps",
    value: function getDerivedStateFromProps(props, state) {
      var _props$data = props.data,
          data = _props$data === void 0 ? [] : _props$data,
          _props$pages = props.pages,
          pages = _props$pages === void 0 ? {} : _props$pages,
          current = props.current,
          _props$stepSave = props.stepSave,
          stepSave = _props$stepSave === void 0 ? false : _props$stepSave;
      var endData = {
        data: data,
        pages: pages,
        stepSave: stepSave
      };
      (0, _typeUtils.isArray)(current) && (endData.current = current);
      return endData;
    }
  }]);
  return DWSteps;
}(_react.Component), _temp), "DWSteps");

exports["default"] = _default;