"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BtnsWraper = exports.ContentWraper = exports.StepsWraper = exports.Container = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _themeCssHoc = _interopRequireWildcard(require("@lugia/theme-css-hoc"));

var _themeHoc = _interopRequireDefault(require("@lugia/theme-hoc"));

function _templateObject4() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  width: 100%;\n  height: 56px;\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  width: 100%;\n  display: flex;\n  flex: 1;\n  margin: 8px 0;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  width: 70%;\n  height: 124px;\n  margin: 0 auto;\n  padding: 0 40px;\n  display: flex;\n  justyfy-content: center;\n  align-items: center;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n        width: 100%;\n        height: 100%;\n        display: flex;\n        flex-direction: column;\n        \n    "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var Container = (0, _themeCssHoc["default"])({
  tag: 'div',
  className: 'DWStepsContainer',
  normal: {
    selectNames: [["width"], ["height"], ["color"], ["font"], ["padding"], ["margin"]]
  },
  css: (0, _themeCssHoc.css)(_templateObject())
});
exports.Container = Container;

var StepsWraper = _styledComponents["default"].div(_templateObject2());

exports.StepsWraper = StepsWraper;

var ContentWraper = _styledComponents["default"].div(_templateObject3());

exports.ContentWraper = ContentWraper;

var BtnsWraper = _styledComponents["default"].div(_templateObject4());

exports.BtnsWraper = BtnsWraper;