"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _amountInput = _interopRequireDefault(require("@lugia/lugia-web/dist/amount-input"));

var _theme = _interopRequireDefault(require("@lugia/lugia-web/dist/theme"));

var _label = _interopRequireDefault(require("@lugia/lugia-web/dist/label"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _react = _interopRequireDefault(require("react"));

var LugiadInstance = _interopRequireWildcard(require("@lugia/lugiad-instance"));

var _themeUtils = require("@lugia/theme-utils");

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function create() {
  var $__data__ = undefined;
  var LugiadConnect = {};
  var $themeConfig = {
    wbcDr9u0: {
      wbcDr9u0: {
        Container: {
          normal: {
            width: "100%",
            height: "100%"
          }
        }
      }
    },
    "wbcVh*M0": {
      "wbcVh*M0": {
        Container: {
          normal: {
            width: "100%",
            height: "100%"
          }
        }
      }
    },
    wbcuVfA0: {
      wbcuVfA0: {
        Container: {
          normal: {
            width: "100%",
            height: "100%"
          }
        }
      }
    }
  };
  var $propsConfig = {
    wbcDr9u0: {
      lugiaHidden: false,
      text: "我是一个普通的自定义组件",
      __lugiad__header__absolute__: true,
      LugiadInstance: LugiadInstance
    },
    "wbcVh*M0": {
      lugiaHidden: false,
      transform: true,
      __lugiad__header__absolute__: true,
      LugiadInstance: LugiadInstance
    },
    wbcuVfA0: {
      lugiaHidden: false,
      text: "一个金额输入框：",
      __lugiad__header__absolute__: true,
      LugiadInstance: LugiadInstance
    }
  };
  return {
    LugiadConnect: LugiadConnect,
    $themeConfig: $themeConfig,
    $propsConfig: $propsConfig,
    $__data__: $__data__
  };
}

var Page = /*#__PURE__*/function (_React$Component) {
  (0, _inherits2["default"])(Page, _React$Component);

  var _super = _createSuper(Page);

  function Page(props) {
    var _this;

    (0, _classCallCheck2["default"])(this, Page);
    _this = _super.call(this, props);

    var _create = create(),
        LugiadConnect = _create.LugiadConnect,
        $themeConfig = _create.$themeConfig,
        $propsConfig = _create.$propsConfig,
        $__data__ = _create.$__data__;

    _this.$__data__ = $__data__;
    _this.LugiadConnect = LugiadConnect;
    _this.$propsConfig = $propsConfig;
    _this.$themeConfig = $themeConfig;
    return _this;
  }

  (0, _createClass2["default"])(Page, [{
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate() {
      return false;
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount(props) {
      document.body.style.background = "#f8f8f8";
      var $__data__ = this.$__data__;
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount(props) {
      document.body.style.background = "";
      var $__data__ = this.$__data__;

      if (typeof $__data__ !== "undefined") {
        $__data__ && $__data__.model && $__data__.model.destroy && $__data__.model.destroy();
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props$lugiadPag = this.props.lugiadPageHeight,
          lugiadPageHeight = _this$props$lugiadPag === void 0 ? "100%" : _this$props$lugiadPag;
      var LugiadConnect = this.LugiadConnect,
          $themeConfig = this.$themeConfig,
          $propsConfig = this.$propsConfig;
      return /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          height: lugiadPageHeight,
          overflowY: "auto",
          width: "100%"
        }
      }, " ", /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          background: "none",
          height: "82px",
          width: "340px",
          flexBasis: "340px",
          position: "relative",
          display: "flex",
          flexDirection: "column",
          overflow: "hidden"
        },
        className: "lugiad_viewBox"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          width: "100%",
          height: "16px",
          position: "relative",
          flexShrink: 0,
          flexGrow: 0
        },
        className: "lugiad_absolute_box"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          zIndex: "2",
          width: "42.35294117647059%",
          height: "100%",
          position: "absolute",
          display: "flex",
          left: "24.705882352941178%",
          top: "0%"
        },
        className: "lugiad_absolute_widget_box",
        id: "wbcDr9u0"
      }, /*#__PURE__*/_react["default"].createElement(_theme["default"], {
        config: $themeConfig["wbcDr9u0"]
      }, /*#__PURE__*/_react["default"].createElement(_label["default"], (0, _extends2["default"])({
        viewClass: "Label-theme-viewClass wbcDr9u0"
      }, $propsConfig["wbcDr9u0"])), " "))), /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          width: "100%",
          height: "34px",
          flexShrink: 10000,
          flexGrow: 0
        },
        className: "lugiad_blank_box"
      }), /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          width: "100%",
          height: "32px",
          position: "relative",
          flexShrink: 0,
          flexGrow: 0
        },
        className: "lugiad_absolute_box"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          zIndex: "0",
          width: "68.82352941176471%",
          height: "100%",
          position: "absolute",
          display: "flex",
          left: "31.176470588235293%",
          top: "0%"
        },
        className: "lugiad_absolute_widget_box",
        id: "wbcVh*M0"
      }, /*#__PURE__*/_react["default"].createElement(_theme["default"], {
        config: $themeConfig["wbcVh*M0"]
      }, /*#__PURE__*/_react["default"].createElement(_amountInput["default"], (0, _extends2["default"])({
        viewClass: "AmountInput-m-theme-viewClass wbcVh*M0"
      }, $propsConfig["wbcVh*M0"])), " ")), /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          zIndex: "1",
          width: "28.235294117647058%",
          height: "50%",
          position: "absolute",
          display: "flex",
          left: "0%",
          top: "21.875%"
        },
        className: "lugiad_absolute_widget_box",
        id: "wbcuVfA0"
      }, /*#__PURE__*/_react["default"].createElement(_theme["default"], {
        config: $themeConfig["wbcuVfA0"]
      }, /*#__PURE__*/_react["default"].createElement(_label["default"], (0, _extends2["default"])({
        viewClass: "Label-theme-viewClass wbcuVfA0"
      }, $propsConfig["wbcuVfA0"])), " ")))), " ");
    }
  }]);
  return Page;
}(_react["default"].Component);

exports["default"] = Page;